-- ----------------------------------
-- --			GearFlyout			--
-- ----------------------------------

local gearSlots = {
	[1] = CharacterHeadSlotPopoutButton,
	[2] = CharacterNeckSlotPopoutButton,
	[3] = CharacterShoulderSlotPopoutButton,
	[4] = CharacterBackSlotPopoutButton,
	[5] = CharacterChestSlotPopoutButton,
	[6] = CharacterWristSlotPopoutButton,
	[7] = CharacterHandsSlotPopoutButton,
	[8] = CharacterWaistSlotPopoutButton,
	[9] = CharacterLegsSlotPopoutButton,
	[10] = CharacterFeetSlotPopoutButton,
	[11] = CharacterFinger0SlotPopoutButton,
	[12] = CharacterFinger1SlotPopoutButton,
	[13] = CharacterTrinket0SlotPopoutButton,
	[14] = CharacterTrinket1SlotPopoutButton,
	[15] = CharacterShirtSlotPopoutButton,
	[16] = CharacterTabardSlotPopoutButton,
	[17] = CharacterMainHandSlotPopoutButton,
	[18] = CharacterSecondaryHandSlotPopoutButton,
}

local function setGearSlot()
	local slots
	for i = 1, 18 do
		if (i == 17) or (i == 18) then
			slots = gearSlots[i]
			slots:SetHeight(13)
		else
			slots = gearSlots[i]
			slots:SetWidth(13)
			slots:ClearAllPoints()
			slots:SetPoint("RIGHT", 11, 0)
		end
	end
end

local f = CreateFrame("Frame")
f:SetScript("OnEvent", function(self, event, ...)
	if event == "PLAYER_LOGIN" then
		setGearSlot()
	end
end)

f:RegisterEvent("PLAYER_LOGIN")

if EquipmentFlyoutPopoutButton_ShowAll then

	-- Initial character window
	PaperDollFrame:HookScript('OnShow', function(...)
		EquipmentFlyoutPopoutButton_ShowAll()
	end)

	-- Show again after clicking back from equipment manager
	PaperDollSidebarTab1:HookScript('OnClick', function(...)
		EquipmentFlyoutPopoutButton_ShowAll()
	end)
end